const express = require('express');
const router = express.Router();
const pool = require('../db'); // Importă conexiunea la baza de date


router.get('/produse', async (req, res) => {
    try {
        const [rows] = await pool.promise().query(
            "SELECT * FROM products WHERE tip_produs = ?", ['garantie_sgr']
        );

        if (!rows || rows.length === 0) {
            return res.status(404).json({ message: "Nu există produse cu tipul 'garantie_sgr'." });
        }

        res.status(200).json(rows);
    } catch (error) {
        console.error("Eroare SQL:", error);
        res.status(500).json({ error: 'Eroare server!' });
    }
});

// Endpoint pentru a obține produsul Garantie SGR pe baza id_garantie
router.get('/:id_garantie', async (req, res) => {
    const { id_garantie } = req.params; // Obținem ID-ul garanției din URL

    try {
        const [rows] = await pool.promise().query(
            'SELECT * FROM products WHERE id = ?', [id_garantie]
        );

        if (!rows || rows.length === 0) {
            return res.status(404).json({ error: "Garanția SGR nu a fost găsită." });
        }

        res.status(200).json(rows[0]); // Returnăm primul rezultat (ar trebui să fie unic)
    } catch (error) {
        console.error("Eroare SQL:", error);
        res.status(500).json({ error: 'Eroare server!' });
    }
});
router.get('/:id_prod_garantie', async (req, res) => {
    const { id_garantie } = req.params; // Obținem ID-ul garanției din URL

    try {
        const [rows] = await pool.promise().query(
            'SELECT * FROM garantie_sgr WHERE id = ?', [id_garantie]
        );

        if (!rows || rows.length === 0) {
            return res.status(404).json({ error: "Garanția SGR nu a fost găsită." });
        }

        res.status(200).json(rows[0]); // Returnăm primul rezultat (ar trebui să fie unic)
    } catch (error) {
        console.error("Eroare SQL:", error);
        res.status(500).json({ error: 'Eroare server!' });
    }
});


module.exports = router;
